Module jdk.javadoc
Package jdk.javadoc.doclet

# Enum Taglet.Location

java.lang.Object
java.lang.Enum<Taglet.Location>
jdk.javadoc.doclet.Taglet.Location

All Implemented Interfaces:
  `Serializable`, `Comparable<Taglet.Location>`, `Constable`

Enclosing interface:
  Taglet

    public static enum Taglet.Location
    extends Enum<Taglet.Location>

The kind of location in which a tag may be used.

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`CONSTRUCTOR` | In the documentation for a constructor.
`FIELD` | In the documentation for a field.
`METHOD` | In the documentation for a method.
`MODULE` | In the documentation for a module.
`OVERVIEW` | In an Overview document.
`PACKAGE` | In the documentation for a package.
`TYPE` | In the documentation for a class, interface or enum.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static Taglet.Location` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static Taglet.Location[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OVERVIEW

public static final Taglet.Location OVERVIEW
In an Overview document.

### MODULE

public static final Taglet.Location MODULE
In the documentation for a module.

### PACKAGE

public static final Taglet.Location PACKAGE
In the documentation for a package.

### TYPE

public static final Taglet.Location TYPE
In the documentation for a class, interface or enum.

### CONSTRUCTOR

public static final Taglet.Location CONSTRUCTOR
In the documentation for a constructor.

### METHOD

public static final Taglet.Location METHOD
In the documentation for a method.

### FIELD

public static final Taglet.Location FIELD
In the documentation for a field.

## Method Details

### values

public static Taglet.Location[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Taglet.Location valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null